for name,car in pairs(data.raw.car) do
	log("Found car: "..name)
	
	local ap = data.raw.gun["vehicle-machine-gun"].attack_parameters
	for name,gun in pairs(data.raw.gun) do
		if name == car.guns[1] then
			ap = gun.attack_parameters
			break
		end
	end
	
	local ammo_type = data.raw.ammo["piercing-bullet-magazine"].ammo_type
	for _,ammo in pairs(data.raw.ammo) do
		if ap.ammo_category == ammo.ammo_type.category then
			ammo_type = ammo.ammo_type
			log("Found "..ammo.name.." for "..name)
			break
		end
	end

	data:extend({
	{
		type = "unit",
		name = name.."DWMC",
		icon = car.icon,
		flags = car.flags,
		mineable = car.mineable,
		max_health = car.max_health,
		corpse = car.corpse,
		dying_exposion = car.dying_explosion,
		resistances = car.resistances,
		collision_box = car.collision_box,
		selection_box = car.selection_box,
		working_sound = car.working_sound.sound or car.working_sound ,
		run_animation = car.animation,
		
		attack_parameters = {
			type = ap.type,
			ammo_category = ap.ammo_category,
			cooldown = ap.cooldown,
			range = ap.range,
			projectile_creation_distance = ap.projectile_creation_distance,
			projectile_center = ap.projectile_center,
			sound = ap.sound,
			animation = car.animation,
			ammo_type = ammo_type
		},
		
		movement_speed = 0.05 * tonumber(string.match(car.consumption,"%d+")) / math.sqrt(car.weight), --estimate car speed
		
		healing_per_tick = 0,
		distraction_cooldown = 0,
		vision_distance = 30,
		pollution_to_join_attack = 0,
		distance_per_frame = 0.1,
		order = "z",
		subgroup = "transport",
		
		
	}
	})

end