data:extend({
{	type = "explosion",
	name = "homing-beacon",
	flags = {"not-on-map","placeable-off-grid"},
	animations = {
		{
		filename = "__dwmc__/graphics/homing-beacon.png",
		priority = "high",
		width = 152,
		height = 120,
        line_length = 5,
		frame_count = 30,
		animation_speed = 1,
		shift = {0, 1}
		}},
	light = {intensity = 0.5, size = 10},
},
{	type = "container",
	name = "car-key",
	icon = "__dwmc__/graphics/car-key.png",
	flags = {"placeable-neutral", "player-creation", "placeable-off-grid"},
	max_health = 100,
	collision_box = {{-0.0, -0.0}, {0.0, 0.0}},
	collision_mask = {"floor-layer"},
	selection_box = {{-0.0, -0.0}, {0.0, 0.0}},
	inventory_size = 1,
	picture =
	{
		filename = "__dwmc__/graphics/car-key.png",
		priority = "extra-high",
		width = 32,
		height = 32,
		shift = {0.0, 0.0}
	}
},
{	type = "explosion",
	name = "Dude_sound",
	flags = {"not-on-map","placeable-off-grid"},
	animations = {
		{
		filename = "__dwmc__/graphics/homing-beacon.png",
		priority = "high",
		width = 152,
		height = 120,
        line_length = 5,
		frame_count = 30,
		animation_speed = 2,
		shift = {0, 1}
		}},
	sound = {
		{
		filename = "__dwmc__/sounds/Dude_wheres_my_car.ogg",
		volume = 1.5
		},
	}
},

})